Namespace: webdriver.promise
View Source

# class CancellationError

    Error
      └ goog.debug.Error
          └ webdriver.promise.CancellationError

Error used when the computation of a promise is cancelled.

### new CancellationError(opt_msg)

Parameters

opt_msg`string=`

  The cancellation message.

## Instance Properties

description`string`

  IE-only.

fileName`string`

  Mozilla-only

lineNumber`number`

  Mozilla-only.

message `string`
  No description.

name `string`
  No description.

reportErrorToServer `boolean`

  Whether to report this error to the server. Setting this to false will cause the error reporter to not report the error back to the server, which can be useful if the client knows that the error has already been logged on the server.

sourceURL`?`

  Doesn't seem to exist, but closure/debug.js references it.

stack `string`
  No description.

## Static Functions

### CancellationError.wrap(error, opt_msg)code »

Wraps the given error in a CancellationError.

Parameters

error`*`

  The error to wrap.

opt_msg`string=`

  The prefix message to use.

Returns

`webdriver.promise.CancellationError`

  A cancellation error.